<schema 
	xmlns="http://purl.oclc.org/dsdl/schematron" 
	xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" 
	xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" 
	xmlns:cac-pl="urn:pl:extended:CommonAggregateComponents-2" 
	xmlns:cbc-pl="urn:pl:extended:CommonBasicComponents-2" 
	xmlns:sbcn="urn:oasis:names:specification:ubl:schema:xsd:SelfBilledCreditNote-2_PL" 
	xmlns:cn="urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2_PL" 
	xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2_PL" 
	queryBinding="xslt2">
	
	
	<title>EN16931  model bound to UBL</title>
	<ns prefix="ext" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2"/>
	<ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
	<ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
	<ns prefix="cbc-pl" uri="urn:pl:extended:CommonBasicComponents-2"/>
	<ns prefix="cac-pl" uri="urn:pl:extended:CommonAggregateComponents-2"/>
	<ns prefix="qdt" uri="urn:oasis:names:specification:ubl:schema:xsd:QualifiedDataTypes-2"/>
	<ns prefix="udt" uri="urn:oasis:names:specification:ubl:schema:xsd:UnqualifiedDataTypes-2"/>
	<ns prefix="sbcn" uri="urn:oasis:names:specification:ubl:schema:xsd:SelfBilledCreditNote-2_PL"/>
	<ns prefix="cn" uri="urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2_PL"/>
	<ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2_PL"/>
	<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
	<ns prefix="u" uri="utils"/>
	<!-- Functions -->
	<function xmlns="http://www.w3.org/1999/XSL/Transform" name="u:grossamount-id" as="xs:decimal">
		<param name="poz-id" as="xs:decimal"/>
		<value-of select="xs:decimal($poz-id)"/>
		<!--  	<value-of select="xs:decimal(if(cbc-pl:LineExtensionGrossAmount) then cbc-pl:LineExtensionGrossAmount else 0) = xs:decimal(if(//cac:InvoiceLine[poz-id]/cbc:LineExtensionGrossAmount) then //cac:InvoiceLine[poz-id]/cbc:LineExtensionGrossAmount else 0) + xs:decimal(if(//ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[poz-id]/cbc-pl:LineExtensionGrossAmount) then //ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[poz-id]/cbc-pl:LineExtensionGrossAmount else 0)"/>
   <value-of select="xs:decimal($exp + $slack) &gt;= $val and xs:decimal($exp - $slack) &lt;= $val"/>	-->
	</function>
	<phase id="EN16931model_phase">
		<active pattern="UBL-model"/>
	</phase>
	<phase id="codelist_phase">
		<active pattern="Codesmodel"/>
	</phase>
	<let name="supplierCountry" value="
      if (/*/cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
        upper-case(normalize-space(/*/cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
      else
        if (/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
          upper-case(normalize-space(/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
        else
          if (/*/cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) then
            upper-case(normalize-space(/*/cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode))
          else
            'XX'"/>
	<!--Suppressed abstract pattern model was here-->
	<!--Suppressed abstract pattern syntax was here-->
	<pattern>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData">
			<assert test="if (exists(cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-01">[PL-CN-R-01]-If exists cbc:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:IssueDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:IssueDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-02">[PL-CN-R-02]-If exists cbc:IssueDate it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:Note)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:Note)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-04">[PL-CN-R-04]-If exists cbc:Note it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:TaxPointDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:TaxPointDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-05">[PL-CN-R-05]-If exists cbc:TaxPointDate it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:InvoicePeriod/cbc:StartDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoicePeriod/cbc:StartDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-06">[PL-CN-R-06]-If exists cac:InvoicePeriod/cbc:StartDate it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:InvoicePeriod/cbc:EndDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoicePeriod/cbc:EndDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-07">[PL-CN-R-07]-If exists cac:InvoicePeriod/cbc:EndDate it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party">
			<assert test="if (exists(cac-pl:PartyName/cbc-pl:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyName/cbc-pl:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-08">[PL-CN-R-08]-If exists cac-pl:PartyName/cbc-pl:Name it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:StreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:StreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-09">[PL-CN-R-09]-If exists cac-pl:PostalAddress/cbc-pl:StreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:AdditionalStreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AdditionalStreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-10">[PL-CN-R-10]-If exists cbc-pl:AdditionalStreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:CityName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CityName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-11">[PL-CN-R-11]-If exists cac-pl:PostalAddress/cbc-pl:CityName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:PostalZone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PostalZone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-12">[PL-CN-R-12]-If exists cac-pl:PostalAddress/cbc-pl:PostalZone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-14">[PL-CN-R-14]-If exists cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-16">[PL-CN-R-16]-If exists cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyLegalEntity/cbc-pl:RegistrationName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-17">[PL-CN-R-17]-If exists cac-pl:PartyLegalEntity/cbc-pl:RegistrationName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyLegalEntity/cbc-pl:CompanyID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-18">[PL-CN-R-18]-If exists cac-pl:PartyLegalEntity/cbc-pl:CompanyID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalForm)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalForm)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-19">[PL-CN-R-19]-If exists cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalForm it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-20">[PL-CN-R-20]-If exists cac-pl:Contact/cbc-pl:Name it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:Telephone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telephone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-21">[PL-CN-R-21]-If exists cac-pl:Contact/cbc-pl:Telephone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:ElectronicMail)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ElectronicMail)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-22">[PL-CN-R-22]-If exists cac-pl:Contact/cbc-pl:ElectronicMail it should exists in extensions for both original and corrected document data.</assert>
		</rule>

		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:StreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AdditionalStreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CityName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PostalZone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalForm"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telephone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ElectronicMail"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party">
			<assert test="if (exists(cac-pl:PartyName/cbc-pl:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyName/cbc-pl:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-23">[PL-CN-R-23]-If exists cac-pl:PartyName/cbc-pl:Name it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:StreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:StreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-24">[PL-CN-R-24]-If exists cac-pl:PostalAddress/cbc-pl:StreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:AdditionalStreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AdditionalStreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-25">[PL-CN-R-25]-If exists cbc-pl:AdditionalStreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:CityName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CityName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-26">[PL-CN-R-26]-If exists cac-pl:PostalAddress/cbc-pl:CityName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:PostalZone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PostalZone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-27">[PL-CN-R-27]-If exists cac-pl:PostalAddress/cbc-pl:PostalZone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-29">[PL-CN-R-29]-If exists cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyTaxScheme/cbc-pl:CompanyID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:CompanyID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-30">[PL-CN-R-30]-If exists cac-pl:PartyTaxScheme/cbc-pl:CompanyID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-31">[PL-CN-R-31]-If exists cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyLegalEntity/cbc-pl:RegistrationName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-32">[PL-CN-R-32]-If exists cac-pl:PartyLegalEntity/cbc-pl:RegistrationName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyLegalEntity/cbc-pl:CompanyID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-33">[PL-CN-R-33]-If exists cac-pl:PartyLegalEntity/cbc-pl:CompanyID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-35">[PL-CN-R-35]-If exists cac-pl:Contact/cbc-pl:Name it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:Telephone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telephone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-36">[PL-CN-R-36]-If exists cac-pl:Contact/cbc-pl:Telephone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:ElectronicMail)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ElectronicMail)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-37">[PL-CN-R-37]-If exists cac-pl:Contact/cbc-pl:ElectronicMail it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cbc:IssueDate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cbc:Note"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cbc:TaxPointDate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:InvoicePeriod"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingSupplierParty"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentTerms"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cbc-pl:EndpointID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:StreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AdditionalStreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CityName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PostalZone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telephone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ElectronicMail"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cbc:ActualDeliveryDate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryParty"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:StreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:AdditionalStreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:CityName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:PostalZone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country/cbc:IdentificationCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cbc:PaymentMeansCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cbc:PaymentID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:PrimaryAccountNumberID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:NetworkID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:HolderName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:PaymentMandate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate/cac:PayerFinancialAccount"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate/cac:PayerFinancialAccount/cbc:ID"/>
		 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate/cac:PayerFinancialAccount/*">
			 <assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentTerms/cbc:Note"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentTerms/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cbc-pl:ID"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cbc-pl:Note"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:Item"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:StartDate"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:EndDate"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Description"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Name"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:InvoiceLine/cac-pl:Item/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData">
			<assert test="if (exists(cac:Delivery/cbc:ActualDeliveryDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cbc:ActualDeliveryDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-38">[PL-CN-R-38]-If exists cac:Delivery/cbc:ActualDeliveryDate it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Delivery/cac:DeliveryLocation/cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cbc:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-39">[PL-CN-R-39]-If exists cac:Delivery/cac:DeliveryLocation/cbc:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-40">[PL-CN-R-40]-If exists cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address">
			<assert test="if (exists(cbc:StreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:StreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-41">[PL-CN-R-41]-If exists cbc:StreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:AdditionalStreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:AdditionalStreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-42">[PL-CN-R-42]-If exists cbc:AdditionalStreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:CityName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:CityName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-43">[PL-CN-R-43]-If exists cbc:CityName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:PostalZone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:PostalZone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-44">[PL-CN-R-44]-If exists cbc:PostalZone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:CountrySubentity)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:CountrySubentity)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-45">[PL-CN-R-45]-If exists cbc:CountrySubentity it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Country/cbc:IdentificationCode)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country/cbc:IdentificationCode)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-46">[PL-CN-R-46]-If exists cac:Country/cbc:IdentificationCode it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans">
			<assert test="if (exists(cbc:PaymentID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cbc:PaymentID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-48">[PL-CN-R-48]-If exists cbc:PaymentID it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	    <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cbc-pl:EndpointID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:StreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AdditionalStreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CityName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PostalZone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyLegalForm"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telephone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ElectronicMail"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party">
			<assert test="if (exists(cac-pl:PartyName/cbc-pl:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyName/cbc-pl:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-23">[PL-CN-R-23]-If exists cac-pl:PartyName/cbc-pl:Name it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:StreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:StreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-24">[PL-CN-R-24]-If exists cac-pl:PostalAddress/cbc-pl:StreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:AdditionalStreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AdditionalStreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-25">[PL-CN-R-25]-If exists cbc-pl:AdditionalStreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:CityName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CityName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-26">[PL-CN-R-26]-If exists cac-pl:PostalAddress/cbc-pl:CityName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cbc-pl:PostalZone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PostalZone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-27">[PL-CN-R-27]-If exists cac-pl:PostalAddress/cbc-pl:PostalZone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-29">[PL-CN-R-29]-If exists cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyTaxScheme/cbc-pl:CompanyID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:CompanyID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-30">[PL-CN-R-30]-If exists cac-pl:PartyTaxScheme/cbc-pl:CompanyID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-31">[PL-CN-R-31]-If exists cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyLegalEntity/cbc-pl:RegistrationName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-32">[PL-CN-R-32]-If exists cac-pl:PartyLegalEntity/cbc-pl:RegistrationName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:PartyLegalEntity/cbc-pl:CompanyID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-33">[PL-CN-R-33]-If exists cac-pl:PartyLegalEntity/cbc-pl:CompanyID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-35">[PL-CN-R-35]-If exists cac-pl:Contact/cbc-pl:Name it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:Telephone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telephone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-36">[PL-CN-R-36]-If exists cac-pl:Contact/cbc-pl:Telephone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac-pl:Contact/cbc-pl:ElectronicMail)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ElectronicMail)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-37">[PL-CN-R-37]-If exists cac-pl:Contact/cbc-pl:ElectronicMail it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:IssueDate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:Note"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cbc:TaxPointDate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoicePeriod"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingSupplierParty"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentTerms"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cbc-pl:EndpointID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:StreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:AdditionalStreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:CityName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cbc-pl:PostalZone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:RegistrationName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/cbc-pl:CompanyID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:Telephone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/cbc-pl:ElectronicMail"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PostalAddress/cac-pl:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/cbc-pl:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:AccountingCustomerParty/cac-pl:Party/cac-pl:PartyTaxScheme/cac-pl:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cbc:ActualDeliveryDate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryParty"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:StreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:AdditionalStreetName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:CityName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:PostalZone"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country/cbc:IdentificationCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cbc:PaymentMeansCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cbc:PaymentID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:CardAccount"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PaymentMandate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:PrimaryAccountNumberID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:NetworkID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:HolderName"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:CardAccount/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:Name"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:PaymentMandate"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PaymentMandate/cbc:ID"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PaymentMandate/cac:PayerFinancialAccount"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PaymentMandate/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PaymentMandate/cac:PayerFinancialAccount/cbc:ID"/>
		 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans/cac:PaymentMandate/cac:PayerFinancialAccount/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentTerms/cbc:Note"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentTerms/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cbc-pl:ID"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cbc-pl:Note"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:Item"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:StartDate"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod/cbc-pl:EndDate"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:InvoicePeriod/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Description"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:Name"/>
	   <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac-pl:InvoiceLine/cac-pl:Item/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData">
			<assert test="if (exists(cac:Delivery/cbc:ActualDeliveryDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cbc:ActualDeliveryDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-38">[PL-CN-R-38]-If exists cac:Delivery/cbc:ActualDeliveryDate it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Delivery/cac:DeliveryLocation/cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cbc:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-39">[PL-CN-R-39]-If exists cac:Delivery/cac:DeliveryLocation/cbc:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-40">[PL-CN-R-40]-If exists cac:Delivery/cac:DeliveryParty/cac:PartyName/cbc:Name it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address">
			<assert test="if (exists(cbc:StreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:StreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-41">[PL-CN-R-41]-If exists cbc:StreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:AdditionalStreetName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:AdditionalStreetName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-42">[PL-CN-R-42]-If exists cbc:AdditionalStreetName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:CityName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:CityName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-43">[PL-CN-R-43]-If exists cbc:CityName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:PostalZone)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:PostalZone)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-44">[PL-CN-R-44]-If exists cbc:PostalZone it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:CountrySubentity)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cbc:CountrySubentity)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-45">[PL-CN-R-45]-If exists cbc:CountrySubentity it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Country/cbc:IdentificationCode)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:Delivery/cac:DeliveryLocation/cac:Address/cac:Country/cbc:IdentificationCode)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-46">[PL-CN-R-46]-If exists cac:Country/cbc:IdentificationCode it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentMeans">
			<assert test="if (exists(cbc:PaymentMeansCode)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cbc:PaymentMeansCode)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-47">[PL-CN-R-47]-If exists cbc:PaymentMeansCode it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:PaymentID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cbc:PaymentID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-48">[PL-CN-R-48]-If exists cbc:PaymentID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:CardAccount/cbc:PrimaryAccountNumberID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:PrimaryAccountNumberID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-49">[PL-CN-R-49]-If exists cac:CardAccount/cbc:PrimaryAccountNumberID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:CardAccount/cbc:NetworkID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:NetworkID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-50">[PL-CN-R-50]-If exists cac:CardAccount/cbc:NetworkID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:CardAccount/cbc:HolderName)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:CardAccount/cbc:HolderName)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-51">[PL-CN-R-51]-If exists cac:CardAccount/cbc:HolderName it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:PayeeFinancialAccount/cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-52">[PL-CN-R-52]-If exists cac:PayeeFinancialAccount/cbc:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:PayeeFinancialAccount/cbc:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-53">[PL-CN-R-53]-If exists cbc:Name it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-54">[PL-CN-R-54]-If exists cac:FinancialInstitutionBranch/cbc:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:PaymentMandate/cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate/cbc:ID)) then true() else false()) else true()" flag="fatal" id="CN-55">[CN=55]-If exists cac:PaymentMandate/cbc:ID it should exists in extensions for both orginal and corrected document data.</assert>
			<assert test="if (exists(cac:PaymentMandate/cac:PayerFinancialAccount/cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:PaymentMeans/cac:PaymentMandate/cac:PayerFinancialAccount/cbc:ID)) then true() else false()) else true()" flag="fatal" id="CN-56">[CN=56]-If exists cac:PaymentMandate/cac:PayerFinancialAccount/cbc:ID it should exists in extensions for both orginal and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData">
			<assert test="if (exists(cac:PaymentTerms/cbc:Note)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:PaymentTerms/cbc:Note)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-57">[PL-CN-R-57]-If exists cac:PaymentTerms/cbc:Note it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:CorrectedDocumentData/cac:InvoiceLine">
			<let name="testposition" value="count(preceding-sibling::cac:InvoiceLine) + 1"/>
			<assert test="if (exists(cbc:ID)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoiceLine[$testposition]/cbc:ID)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-58">[PL-CN-R-58]-If exists cbc:ID it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cbc:Note)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoiceLine[$testposition]/cbc:Note)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-59">[PL-CN-R-59]-If exists cbc:Note it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:InvoicePeriod/cbc:StartDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoiceLine[$testposition]/cac:InvoicePeriod/cbc:StartDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-60">[PL-CN-R-60]-If exists cac:InvoicePeriod/cbc:StartDate it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:InvoicePeriod/cbc:EndDate)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoiceLine[$testposition]/cac:InvoicePeriod/cbc:EndDate)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-61">[PL-CN-R-61]-If exists cac:InvoicePeriod/cbc:EndDate it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Item/cbc:Description)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoiceLine[$testposition]/cac:Item/cbc:Description)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-62">[PL-CN-R-62]-If exists cac:Item/cbc:Description it should exists in extensions for both original and corrected document data.</assert>
			<assert test="if (exists(cac:Item/cbc:Name)) then (if (exists(//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData/cac:InvoiceLine[$testposition]/cac:Item/cbc:Name)) then true() else false()) else true()" flag="fatal" id="PL-CN-R-63">[PL-CN-R-63]-If exists cac:Item/cbc:Name it should exists in extensions for both original and corrected document data.</assert>
		</rule>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cbc:CreditNoteTypeCode"/>
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:BillingReference/cac:InvoiceDocumentReference"/>
		<rule context="//cac:BillingReference/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:BillingReference/cac:InvoiceDocumentReference/cbc:ID"/>
		<rule context="//cac:BillingReference/cac:InvoiceDocumentReference/cbc:IssueDate"/>
		<rule context="//cac:BillingReference/cac:InvoiceDocumentReference/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:ContractDocumentReference/cbc:ID"/>
		<rule context="//cac:ContractDocumentReference/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AdditionalDocumentReference/cbc:ID"/>
		<rule context="//cac:AdditionalDocumentReference/cbc:DocumentTypeCode"/>
		<rule context="//cac:AdditionalDocumentReference/cbc:DocumentDescription"/>
		<rule context="//cac:AdditionalDocumentReference/cac:Attachment"/>
		<rule context="//cac:AdditionalDocumentReference/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AdditionalDocumentReference/cac:Attachment/cbc:EmbeddedDocumentBinaryObject"/>
		<rule context="//cac:AdditionalDocumentReference/cac:Attachment/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party"/>
		<rule context="//cac:AccountingSupplierParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cbc:EndpointID"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyIdentification"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyName"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyLegalEntity"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:Contact"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cbc:StreetName"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cbc:CityName"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme/cac:TaxScheme"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Name"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Telephone"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:ElectronicMail"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme/cac:TaxScheme/cbc:ID"/>
		<rule context="//cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme/cac:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party"/>
		<rule context="//cac:AccountingCustomerParty/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cbc:EndpointID"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyIdentification"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyName"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyTaxScheme"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyLegalEntity"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:Contact"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cbc:StreetName"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cbc:CityName"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyTaxScheme/cac:TaxScheme"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyTaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyLegalEntity/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Name"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Telephone"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:ElectronicMail"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:Contact/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyTaxScheme/cac:TaxScheme/cbc:ID"/>
		<rule context="//cac:AccountingCustomerParty/cac:Party/cac:PartyTaxScheme/cac:TaxScheme/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	 
      <rule context="/sbcn:SelfBilledCreditNote/ext:UBLExtensions"/>
      <rule context="/sbcn:SelfBilledCreditNote/cbc:CustomizationID"/>
      <rule context="/sbcn:SelfBilledCreditNote/cbc:ProfileID"/>
      <rule context="/sbcn:SelfBilledCreditNote/cbc:ID"/>
      <rule context="/sbcn:SelfBilledCreditNote/cbc:IssueDate"/>
      <rule context="/sbcn:SelfBilledCreditNote/cbc:Note"/>
      <rule context="/sbcn:SelfBilledCreditNote/cbc:AccountingCost"/>
      <rule context="/sbcn:SelfBilledCreditNote/cac:BillingReference"/>
      <rule context="/sbcn:SelfBilledCreditNote/cac:ContractDocumentReference"/>
      <rule context="/sbcn:SelfBilledCreditNote/cac:AdditionalDocumentReference"/>
      <rule context="/sbcn:SelfBilledCreditNote/cac:AccountingSupplierParty"/>
      <rule context="/sbcn:SelfBilledCreditNote/cac:AccountingCustomerParty"/>
      <rule context="/sbcn:SelfBilledCreditNote/*">
			<assert test="false()" flag="fatal" id="PEF">Document MUST NOT contain elements not part of the data model.</assert>
		</rule>
	</pattern>
	<pattern>
		<rule context="//ext:UBLExtensions/ext:UBLExtension[1]/ext:ExtensionContent/cac-pl:OriginalDocumentData">
			<assert test="not(//@schemeName)" flag="warning" id="UBL-DT-08">[UBL-DT-08]-Scheme name attribute should not be present</assert>
			<assert test="not(//@schemeAgencyName)" flag="warning" id="UBL-DT-09">[UBL-DT-09]-Scheme agency name attribute should not be present</assert>
			<assert test="not(//@schemeDataURI)" flag="warning" id="UBL-DT-10">[UBL-DT-10]-Scheme data uri attribute should not be present</assert>
			<assert test="not(//@schemeURI)" flag="warning" id="UBL-DT-11">[UBL-DT-11]-Scheme uri attribute should not be present</assert>
			<assert test="not(//@format)" flag="warning" id="UBL-DT-12">[UBL-DT-12]-Format attribute should not be present</assert>
			<assert test="not(//@unitCodeListIdentifier)" flag="warning" id="UBL-DT-13">[UBL-DT-13]-Unit code list identifier attribute should not be present</assert>
			<assert test="not(//@unitCodeListAgencyIdentifier)" flag="warning" id="UBL-DT-14">[UBL-DT-14]-Unit code list agency identifier attribute should not be present</assert>
			<assert test="not(//@unitCodeListAgencyName)" flag="warning" id="UBL-DT-15">[UBL-DT-15]-Unit code list agency name attribute should not be present</assert>
			<assert test="not(//@listAgencyName)" flag="warning" id="UBL-DT-16">[UBL-DT-16]-List agency name attribute should not be present</assert>
			<assert test="not(//@listName)" flag="warning" id="UBL-DT-17">[UBL-DT-17]-List name attribute should not be present</assert>
		</rule>
	</pattern>
	
	<pattern>
		<rule context="//ext:UBLExtensions/ext:UBLExtension[2]/ext:ExtensionContent/cac-pl:CorrectedDocumentData">
			<assert test="not(//@schemeName)" flag="warning" id="UBL-DT-08">[UBL-DT-08]-Scheme name attribute should not be present</assert>
			<assert test="not(//@schemeAgencyName)" flag="warning" id="UBL-DT-09">[UBL-DT-09]-Scheme agency name attribute should not be present</assert>
			<assert test="not(//@schemeDataURI)" flag="warning" id="UBL-DT-10">[UBL-DT-10]-Scheme data uri attribute should not be present</assert>
			<assert test="not(//@schemeURI)" flag="warning" id="UBL-DT-11">[UBL-DT-11]-Scheme uri attribute should not be present</assert>
			<assert test="not(//@format)" flag="warning" id="UBL-DT-12">[UBL-DT-12]-Format attribute should not be present</assert>
			<assert test="not(//@unitCodeListIdentifier)" flag="warning" id="UBL-DT-13">[UBL-DT-13]-Unit code list identifier attribute should not be present</assert>
			<assert test="not(//@unitCodeListAgencyIdentifier)" flag="warning" id="UBL-DT-14">[UBL-DT-14]-Unit code list agency identifier attribute should not be present</assert>
			<assert test="not(//@unitCodeListAgencyName)" flag="warning" id="UBL-DT-15">[UBL-DT-15]-Unit code list agency name attribute should not be present</assert>
			<assert test="not(//@listAgencyName)" flag="warning" id="UBL-DT-16">[UBL-DT-16]-List agency name attribute should not be present</assert>
			<assert test="not(//@listName)" flag="warning" id="UBL-DT-17">[UBL-DT-17]-List name attribute should not be present</assert>
		</rule>
	</pattern>	
	
	<pattern>
		<rule context="cbc:CustomizationID">
			<assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:sbcn:ver1.4'" flag="fatal" id="PL-CN-01">[PL-CN-01] Element 'cbc:CustomizationID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:sbcn:ver1.4'.</assert>
		</rule>
		<rule context="sbcn:SelfBilledCreditNote">
			<assert id="PL-CN-02" test="cbc:ProfileID" flag="fatal">[PL-CN-02] Business process MUST be provided.</assert>
		</rule>
		<!--##Dodanie reguły do występowania ProfileID-->
		<rule context="cbc:ProfileID">
			<assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:sbcn:ver1.4'" flag="fatal" id="PL-CN-03">[PL-CN-03] Element 'cbc:ProfileID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:sbcn:ver1.4'.</assert>
		</rule>
		<rule context="ext:UBLExtensions">
			<assert id="PL-CN-04" test="not(($supplierCountry = 'PL') and (not(count(ext:UBLExtension)=3)))" flag="fatal">[PL-CN-04] For Polish suppliers the correcting note must have 3 ext:UBLExtension sections.</assert>
		</rule>
		<rule context="/sbcn:SelfBilledCreditNote/cbc:Note">
			<assert test="normalize-space(text()) = 'NOTA KORYGUJĄCA'" flag="fatal" id="PL-CN-05">[PL-CN-05] Element 'cbc:Note' MUST contain value 'NOTA KORYGUJĄCA'.</assert>
		</rule>
		<rule context="ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent">
			<assert test="exists(cbc:CreditNoteTypeCode)" flag="fatal" id="PL-CN-06">[PL-CN-06] A seperate Extension section shall have an Invoice type code (BT-3).</assert>
		</rule>
		<rule context="ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent/cbc:CreditNoteTypeCode">
			<assert test="normalize-space(text()) = '261'" flag="fatal" id="PL-CN-07">[PL-CN-07] A correcting note shall have credit note type code = '261'.</assert>
		</rule>
	</pattern>
	<!--Start pattern based on abstract model-->
	<pattern id="UBL-model">
		<rule context="//cn:SelfBilledCreditNote">
			<assert test="(cbc:CustomizationID) != ''" flag="fatal" id="PL-CN-08">[PL-CN-08]-An Invoice shall have a Specification identifier (BT-24).</assert>
			<assert test="(cbc:ID) !=''" flag="fatal" id="PL-CN-10">[PL-CN-10]-An Invoice shall have an Invoice number (BT-1).</assert>
			<assert test="(cbc:IssueDate) !=''" flag="fatal" id="PL-CN-11">[PL-CN-11]-An Invoice shall have an Invoice issue date (BT-2).</assert>
			<assert test="(cac:AccountingSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName) !=''" flag="fatal" id="PL-CN-12">[PL-CN-12]-An Invoice shall contain the Seller name (BT-27).</assert>
			<assert test="(cac:AccountingCustomerParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName) !=''" flag="fatal" id="PL-CN-13">[PL-CN-13-An Invoice shall contain the Buyer name (BT-44).</assert>
			<assert test="exists(cac:AccountingSupplierParty/cac:Party/cac:PostalAddress)" flag="fatal" id="PL-CN-14">[PL-CN-14]-An Invoice shall contain the Seller postal address. </assert>
			<assert test="exists(cac:AccountingCustomerParty/cac:Party/cac:PostalAddress)" flag="fatal" id="PL-CN-15">[PL-CN-15]-An Invoice shall contain the Buyer postal address (BG-8).</assert>
		</rule>
		<rule context="cac:AccountingSupplierParty">
			<assert test="exists(cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(cac:Party/cac:PartyIdentification/cbc:ID) or exists(cac:Party/cac:PartyLegalEntity/cbc:CompanyID)" flag="fatal" id="PL-CN-16">[PL-CN-16]-In order for the buyer to automatically identify a supplier, the Seller identifier (BT-29), the Seller legal registration identifier (BT-30) and/or the Seller VAT identifier (BT-31) shall be present.  </assert>
		</rule>
		<rule context="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID">
			<assert test="exists(@schemeID)" flag="fatal" id="PL-CN-17">[PL-CN-17]-The Seller electronic address (BT-34) shall have a Scheme identifier.</assert>
		</rule>
		<rule context="cac:AccountingSupplierParty/cac:Party/cac:PostalAddress">
			<assert test="(cac:Country/cbc:IdentificationCode) != ''" flag="fatal" id="PL-CN-18">[PL-CN-18]-The Seller postal address (BG-5) shall contain a Seller country code (BT-40).</assert>
		</rule>
		<rule context="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID">
			<assert test="exists(@schemeID)" flag="fatal" id="PL-CN-19">[PL-CN-19]-The Buyer electronic address (BT-49) shall have a Scheme identifier.</assert>
		</rule>
		<rule context="cac:AccountingCustomerParty/cac:Party/cac:PostalAddress">
			<assert test="(cac:Country/cbc:IdentificationCode) != ''" flag="fatal" id="PL-CN-20">[PL-CN-20]-The Buyer postal address shall contain a Buyer country code (BT-55).</assert>
		</rule>
		<rule context="//cac:PartyTaxScheme[cac:TaxScheme/cbc:ID='VAT']">
			<assert test="( contains( ' 1A AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH EL ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS XI YE YT ZA ZM ZW ',substring(cbc:CompanyID,1,2) ) )" flag="fatal" id="PL-CN-21">[PL-CN-21]-The Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) shall have a prefix in accordance with ISO code ISO 3166-1 alpha-2 by which the country of issue may be identified. Nevertheless, Greece may use the prefix ‘EL’.</assert>
		</rule>
	</pattern>
	<pattern id="Codesmodel">
	  <rule flag="fatal" context="cac:Country/cbc:IdentificationCode">
			<assert id="BR-CL-14" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' 1A AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH EL ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS XI YE YT ZA ZM ZW ', concat(' ', normalize-space(.), ' '))))">[BR-CL-14]-Country codes in an invoice MUST be coded using ISO code list 3166-1</assert>
    </rule>
	  <rule flag="fatal" context="cac:PaymentMeans/cbc:PaymentMeansCode">
			<assert id="BR-CL-16" flag="fatal" test="( ( not(contains(normalize-space(.),' ')) and contains( ' 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 74 75 76 77 78 91 92 93 94 95 96 97 ZZZ ',concat(' ',normalize-space(.),' ') ) ) )">[BR-CL-16]-Payment means in an invoice MUST be coded using UNCL4461 code list</assert>
	  </rule>
		<rule flag="fatal" context="cbc:EmbeddedDocumentBinaryObject[@mimeCode]">
			<assert id="BR-CL-24" flag="fatal" test="((@mimeCode = 'application/pdf' or @mimeCode = 'image/png' or @mimeCode = 'image/jpeg' or @mimeCode = 'text/csv' or @mimeCode = 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' or @mimeCode = 'application/vnd.oasis.opendocument.spreadsheet'))">[BR-CL-24]-For Mime code in attribute use MIMEMediaType.</assert>
		</rule>
		<rule flag="fatal" context="cbc:EndpointID[@schemeID]">
      <assert id="BR-CL-25" flag="fatal" test="((not(contains(normalize-space(@schemeID), ' ')) and contains(' 0002 0007 0009 0037 0060 0088 0096 0097 0106 0130 0135 0142 0151 0183 0184 0190 0191 0192 0193 0194 0195 0196 0198 0199 0200 0201 0202 0203 0204 0208 0209 0210 0211 0212 0213 9901 9902 9904 9905 9906 9907 9910 9913 9914 9915 9918 9919 9920 9922 9923 9924 9925 9926 9927 9928 9929 9930 9931 9932 9933 9934 9935 9936 9937 9938 9939 9940 9941 9942 9943 9944 9945 9946 9947 9948 9949 9950 9951 9952 9953 9955 9957 AN AQ AS AU EM ', concat(' ', normalize-space(@schemeID), ' '))))">[BR-CL-25]-Endpoint identifier scheme identifier MUST belong to the CEF EAS code list</assert>
		</rule>

		
	</pattern>
</schema>
